Get the operations for a lesson plan
curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/lessonPlans/{lessonPlanId}/operations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/powerpath/lessonPlans/{lessonPlanId}/operations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/powerpath/lessonPlans/{lessonPlanId}/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operations": [
{
"id": "<string>",
"type": "<string>",
"reason": "<string>",
"createdAt": "<string>",
"sequenceNumber": 123,
"createdBy": "<string>",
"payload": "<unknown>"
}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}Lesson Plans
Get the operations for a lesson plan
Purpose: Get all operations for a lesson plan
When to use:
- For audit trails and history tracking
- When debugging lesson plan issues
- For administrative oversight
What it does:
- Returns all operations in chronological order
- Includes operation type, payload, timestamp, and reason
- Shows who made each change and when
GET
/
powerpath
/
lessonPlans
/
{lessonPlanId}
/
operations
Get the operations for a lesson plan
⌘I